
public class Class225_Sub4_Sub4 extends Class225_Sub4 {

   Class500 aClass500_10437;


   public Class225_Sub4_Sub4(int var1, int var2, Class500 var3) {
      super(var1, var2);
      this.aClass500_10437 = var3;
   }

   public boolean method13345() {
      Interface20 var1 = this.aClass500_10437.method8354(1590689442);
      if(null != var1) {
         Class556.method11883(Class386.aClass386_4826, this.anInt8385 * -165881631, -1, var1, (byte)103);
         return true;
      } else {
         return false;
      }
   }

   public boolean method13344(int var1) {
      Interface20 var2 = this.aClass500_10437.method8354(1590689442);
      if(null != var2) {
         Class556.method11883(Class386.aClass386_4826, this.anInt8385 * -165881631, -1, var2, (byte)40);
         return true;
      } else {
         return false;
      }
   }

   public boolean method13343() {
      Interface20 var1 = this.aClass500_10437.method8354(1590689442);
      if(null != var1) {
         Class556.method11883(Class386.aClass386_4826, this.anInt8385 * -165881631, -1, var1, (byte)105);
         return true;
      } else {
         return false;
      }
   }

   public boolean method13346() {
      Interface20 var1 = this.aClass500_10437.method8354(1590689442);
      if(null != var1) {
         Class556.method11883(Class386.aClass386_4826, this.anInt8385 * -165881631, -1, var1, (byte)40);
         return true;
      } else {
         return false;
      }
   }

   public boolean method13347() {
      Interface20 var1 = this.aClass500_10437.method8354(1590689442);
      if(null != var1) {
         Class556.method11883(Class386.aClass386_4826, this.anInt8385 * -165881631, -1, var1, (byte)106);
         return true;
      } else {
         return false;
      }
   }
}
